aboutsummaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* newt: add 0.52.12upstreamOtavio Salvador2011-01-122-0/+32
| | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
* slang: add 2.2.2Otavio Salvador2011-01-121-0/+12
| | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
* cramfs: add cvs versionChris Larson2011-01-101-0/+24
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* procinfo-ng: new recipe, version 2.0.304Chris Larson2011-01-103-1/+36
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* bitbake.conf: fix quote usage in COMBINED_FEATURESChris Larson2011-01-101-10/+10
| | | | Signed-off-by: Chris Larson <chris_larson@mentor.com>
* slugos.conf: Use thumb mode to save some more spaceKhem Raj2011-01-101-1/+1
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libnl2: Fix a race on route/pktloc_syntax.hTom Rini2011-01-103-1/+27
| | | | | | | At issue is that route/pktloc.c (not generated) depends on route/pktloc_syntax.h (generated). Signed-off-by: Tom Rini <tom_rini@mentor.com>
* qemu.inc: Switch to xserver-xorgTom Rini2011-01-101-1/+7
| | | | | | | | | | Keeping with xserver-kdrive means that we have a sometimes race in that xserver-kdrive is too old for the other xorg components that are built (with X11R7.5) to build. So we switch to xserver-xorg and appropriate modules. Tested on qemux86 and x11-image. Acked-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Tom Rini <tom_rini@mentor.com>
* minimal.conf: Fully switch to bluez4Tom Rini2011-01-101-1/+1
| | | | | | | | We still had bluez-libs being set for bluez-libs rather than bluez4 which meant that both were being built. Acked-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Tom Rini <tom_rini@mentor.com>
* xorg: upgrade to X11R7.6 and remove preferred-xorg-versions*.inc filesMartin Jansa2011-01-1010-903/+0
| | | | | | | | | | | | | | | | | | | | | | | | | * X11R7.6-RC1 was already released http://www.x.org/releases/X11R7.6-RC1/doc/xorg-docs/ReleaseNotes.html so it's IMHO time to start migration there * preferred-xorg-versions-live.inc was tracking latest stable released tarballs, but only reason I was maintaining it was to overwrite older preferred-xorg-versions-X11R7.5.inc if your distribution included ie X11R7.5.inc and you wanted live.inc from local.conf * default recipe versions without any preferred-xorg-versions include are now the same as live.inc * we will get better test coverage if we use same versions * if someone really needs older release then pinning only core stuff like xserver/libx11 will be probably better, than pinning every xorg app/proto/font etc. * I can slow down adding newest xorg stuff or ie keep it everytime for at least a week on ML for another review and test on more targets (I'm testing it only on om-gta02/spitz/nokia900) Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Otavio Salvador <otavio@ossystems.com.br> Ackey-by: Tom Rini <tom_rini@mentor.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* task-shr-feed: add emtooth2Martin Jansa2011-01-101-1/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* emtooth2: add recipe for emtooth2 (new vala version of the app)Pau Espin Pedrol2011-01-101-0/+20
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mokophone: SRCREV bumpDaniele Ricci2011-01-101-1/+1
| | | | | | | Reject button now acts also as mute button if ringtone is playing Signed-off-by: Daniele Ricci <daniele.athome@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libphone-ui-shr: bump SRCREVMartin Jansa2011-01-101-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mesa-demos: import recipe from pokyMartin Jansa2011-01-101-0/+16
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libglew: import 1.5.7 from pokyMartin Jansa2011-01-103-0/+164
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mesa: drop 7.8.2 versionMartin Jansa2011-01-106-2450/+0
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* angstrom-2010: prefer newer mesa 7.9.1Martin Jansa2011-01-101-1/+1
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Acked-by: Koen Kooi <koen@openembedded.org>
* mesa-7.9.1: change configure.ac to check for python not python2 as ↵Martin Jansa2011-01-101-0/+5
| | | | | | | | python-native does not stage python2 * should we fix it in python recipes instead? maybe more projects are looking for python2 and finds is on host not sysroot Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mesa: upgrade 7.9 to bugfix release 7.9.1Martin Jansa2011-01-106-5/+5
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libeflvala: adapt to elementary API change from r55869Martin Jansa2011-01-102-1/+29
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* iliwi: add patch to build with newer EFLMartin Jansa2011-01-102-1/+31
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* e-base: bump EFL_SRCREVMartin Jansa2011-01-103-5/+3
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* linux-2.6.37: update openmoko and shr patch, add support for om-gta01Martin Jansa2011-01-106-3936/+7506
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* SHR: drop PREFERRED_PROVIDER_virtual/libusb0 and use default libusb-compatMartin Jansa2011-01-101-1/+0
| | | | | | | * libusb has legacy staging * libusb-compat is better maintained and newer Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gst-tracelib: add git versionKoen Kooi2011-01-101-0/+17
| | | | Signed-off-by: Koen Kooi <koen@openembedded.org>
* busybox-1.18.1: add latest fixEric BENARD2011-01-103-2/+24
| | | | | | | | modprobe-small: support compressed modules in insmodmaster http://git.busybox.net/busybox/commit/?id=e9d12b57bfb941e754d09a7d5f54c183ca7dbb25 Signed-off-by: Eric Bénard <eric@eukrea.com> Acked-by: Khem Raj <raj.khem@gmail.com>
* fso-specs,lifso-glib: bump SRCREVMartin Jansa2011-01-102-4/+4
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* linux-2.6.37: add om-gta02 supportMartin Jansa2011-01-105-1/+54228
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* azy: add mysql5 to depends it's used in ↵Martin Jansa2011-01-101-2/+2
| | | | | | | azy/src/tests/T_SQL.azy_server_stubs.h if mysql-config is found Acked-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* cornucopia.inc: bump SRCREV to get fixed fsodevice.conf for gta02Klaus Kurzmann2011-01-101-1/+1
| | | | Signed-off-by: Klaus Kurzmann <mok@fluxnetz.de>
* preferred-slugos-versions.inc: Lock newer versions of linux-libc-headers and ↵Khem Raj2011-01-091-2/+2
| | | | | | dbus Signed-off-by: Khem Raj <raj.khem@gmail.com>
* linux-kexecboot: bump PR to follow kexecboot changes.Andrea Adami2011-01-101-1/+1
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* kexecboot: bump to 92403e305a57154c7c779d6d47600387116a7988Andrea Adami2011-01-103-32/+25
| | | | | | | * update list of configure args * bump PR Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* qemu_0.12.5.bb: Backport patches from upstream to fix qemu for SH4Khem Raj2011-01-093-1/+193
| | | | | | | * Now we can boot SH4 qemu again with these patches and gcc 4.5 compiled kernel/root file system Signed-off-by: Khem Raj <raj.khem@gmail.com>
* uclibc_git.bb: Add patches for sub arch variant removal.Khem Raj2011-01-098-1/+798
| | | | | | * Also Bump to latest revision Signed-off-by: Khem Raj <raj.khem@gmail.com>
* apex-env_1.5.14.bb: Fix compile error discovered with gcc 4.5Khem Raj2011-01-092-1/+15
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* xbmc: add `python` to `DEPENDS`Paul Menzel2011-01-091-1/+1
| | | | | | | | | | | XBMC needs Python to be built properly [1][2]. Python is pulled in implicitly [3], so no error is seen. Make it explicit though to be safe. [1] https://github.com/xbmc/xbmc/blob/e9e7990b428863b8f2daad4dc5fd2b0a320aa965/Makefile.in#L475 [2] http://cgit.openembedded.org/cgit.cgi/openembedded/tree/recipes/xbmc/xbmc/0006-Hardcode-python2.6-for-now.patch?id=0cc02ded7bd429208ccb0e0e0aa3e43aec8a4722 [3] http://cgit.openembedded.org/cgit.cgi/openembedded/tree/recipes/boost/boost-with-bjam.inc?id=d470cfde5bd1d4c9ab23a37d286456726711229f#n67 Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cornucopia.inc: bump SRCREVKlaus Kurzmann2011-01-091-1/+1
| | | | Signed-off-by: Klaus Kurzmann <mok@fluxnetz.de>
* libfso-glib: bump SRCREVKlaus Kurzmann2011-01-091-1/+1
| | | | Signed-off-by: Klaus Kurzmann <mok@fluxnetz.de>
* sane-toolchain.inc: GCC 4.5 works for SH3/SH4 nowKhem Raj2011-01-091-2/+0
| | | | | | * Dont set PREFERRED_GCC_VERSION for SH Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gcc-4.5: Fix toolchain builds for SH4/SH3Khem Raj2011-01-093-2/+27
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* eglibc: Make it configurable by tuning eglibc optionsKhem Raj2011-01-092-1/+56
| | | | | | | | * Look for disabled features in DISTRO_FEATURES and disable them while building eglibc * By default all features are built * One can disable a feature by specifying DISTRO_FEATURES += "noinet6 nobsd ...." e.g. Signed-off-by: Khem Raj <raj.khem@gmail.com>
* midori: add git version(fix some Segmentation fault)Denis 'GNUtoo' Carikli2011-01-091-13/+15
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Midori had a bug that made it segfault when a link was clicked, before the page was entirely loaded,rendering the browsing experience very difficult(it segfaulted continually under normal browsing activities) Midori developers weren't sure what was the correct fix, but said that it was fixed in their git repository(from #midori on Freenode on irc): Jan 07 22:59:14 <kalikiana> GNUtoo|laptop, that looks like a bug that's fixed in git master [...] Jan 07 23:04:21 <GNUtoo|laptop> what's the bug number? Jan 07 23:04:33 <GNUtoo|laptop> so I could backport the fix's patch Jan 07 23:04:33 <nirik> I don't know off hand I'm afraid. Jan 07 23:04:35 <GNUtoo|laptop> ok Jan 07 23:04:39 <GNUtoo|laptop> what should I look for Jan 07 23:04:39 <GNUtoo|laptop> ? Jan 07 23:05:16 <nirik> possibly: http://git.xfce.org/apps/midori/commit/?id=1f15d17c5fcd6d3ce80a2f3bd5cd00780870fdf5 Jan 07 23:05:32 <GNUtoo|laptop> thanks a lot Jan 07 23:05:37 <MonkeyofDoom> I thought http://git.xfce.org/apps/midori/commit/?id=97a7ae9955d4264f922452d6933f3a0e1e4b03f6 sounded suspect Jan 07 23:05:52 <MonkeyofDoom> but it's also just a possibility Jan 07 23:07:06 <kalikiana> the one MonkeyofDoom mentions is the crasher Jan 07 23:07:19 <kalikiana> the other one is a mis-behaviour of tab opening Jan 07 23:07:26 <GNUtoo|laptop> ok Jan 07 23:07:30 <GNUtoo|laptop> so many possibles crashes Here's was the trace: Program received signal SIGSEGV, Segmentation fault. 0x00000000 in ?? () (gdb) bt #0 0x00000000 in ?? () #1 0x401caef4 in g_object_unref () from /home/gnutoo/embedded/sshfs/usr/lib/libgobject-2.0.so.0 #2 0x4116bd34 in webkit_hit_test_result_dispose(_GObject*) () from /home/gnutoo/embedded/sshfs/usr/lib/libwebkitgtk-1.0.so.0 #3 0x401caef4 in g_object_unref () from /home/gnutoo/embedded/sshfs/usr/lib/libgobject-2.0.so.0 #4 0x0006414c in midori_view_ensure_link_uri (view=0x22b008, x=0x0, y=0x0) at ../midori/midori-view.c:1630 #5 0x00064210 in gtk_widget_button_press_event_cb (web_view=0x184058, event=0x229910, view=0x22b008) at ../midori/midori-view.c:1653 #6 0x403ecf50 in _gtk_marshal_BOOLEAN__BOXED () from /home/gnutoo/embedded/sshfs/usr/lib/libgtk-x11-2.0.so.0 #7 0x401ca538 in g_closure_invoke () from /home/gnutoo/embedded/sshfs/usr/lib/libgobject-2.0.so.0 #8 0x401d2b88 in signal_emit_unlocked_R () from /home/gnutoo/embedded/sshfs/usr/lib/libgobject-2.0.so.0 #9 0x401d6c04 in g_signal_emit_valist () from /home/gnutoo/embedded/sshfs/usr/lib/libgobject-2.0.so.0 #10 0x401d6db8 in g_signal_emit () from /home/gnutoo/embedded/sshfs/usr/lib/libgobject-2.0.so.0 #11 0x40500914 in gtk_widget_event_internal () from /home/gnutoo/embedded/sshfs/usr/lib/libgtk-x11-2.0.so.0 #12 0x403eb590 in gtk_propagate_event () from /home/gnutoo/embedded/sshfs/usr/lib/libgtk-x11-2.0.so.0 #13 0x403ebae0 in gtk_main_do_event () from /home/gnutoo/embedded/sshfs/usr/lib/libgtk-x11-2.0.so.0 #14 0x40696e60 in gdk_event_dispatch () from /home/gnutoo/embedded/sshfs/usr/lib/libgdk-x11-2.0.so.0 #15 0x40247940 in g_main_context_dispatch () from /home/gnutoo/embedded/sshfs/usr/lib/libglib-2.0.so.0 #16 0x40247dfc in g_main_context_iterate.clone.4 () from /home/gnutoo/embedded/sshfs/usr/lib/libglib-2.0.so.0 #17 0x40248260 in g_main_loop_run () from /home/gnutoo/embedded/sshfs/usr/lib/libglib-2.0.so.0 #18 0x403ea8c8 in gtk_main () from /home/gnutoo/embedded/sshfs/usr/lib/libgtk-x11-2.0.so.0 #19 0x000253cc in main (argc=1, argv=0xbeccece4) at ../midori/main.c:2202 The DEFAULT_PREFERENCE = "-1" is because of that(from #oe on FreeNode on irc): Jan 09 21:04:39 <Jay7> or commit with DP=-1 then post request to ML about promoting to default Jan 09 21:04:48 <GNUtoo|laptop> ok I'll send to ml Jan 09 21:05:14 <GNUtoo|laptop> I push some other stuff that only touch htcdream, and get thoses on ml Jan 09 21:05:15 <hrw> push with dp-1 first Jan 09 21:05:18 <GNUtoo|laptop> ok Jan 09 21:07:11 <GNUtoo|laptop> maybe I put DP -1 for all but not for SHR In other words midori is used by a lot of distros/machines and as it's a git version, it's safer not to affect everyone in the case of a (more) problematic bug. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* xkeyboard-config: add git version(has htcdream keyboard support)Denis 'GNUtoo' Carikli2011-01-091-0/+23
| | | | | | | | | | | | | | | | | | | | | | | This version add the (upstream) support for htc dream. The support for the htcdream is composed the 'us','it','de' keyboards and has the extra-keys like | - _ etc... mapped. But no custom keys(keys that weren't printed on the keyboard were mapped yet, and some bugs are present for the htc dream) The DEFAULT_PREFERENCE = "-1" is because of that(from #oe on FreeNode on irc): Jan 09 21:04:39 <Jay7> or commit with DP=-1 then post request to ML about promoting to default Jan 09 21:04:48 <GNUtoo|laptop> ok I'll send to ml Jan 09 21:05:14 <GNUtoo|laptop> I push some other stuff that only touch htcdream, and get thoses on ml Jan 09 21:05:15 <hrw> push with dp-1 first Jan 09 21:05:18 <GNUtoo|laptop> ok Jan 09 21:07:11 <GNUtoo|laptop> maybe I put DP -1 for all but not for SHR In other words xkeyboard-config is used by a lot of distros/machines (all the machines which have a keyboard), and as it's a git version, so it's safer not to affect everyone in the case of a bug. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* htcdream: load the wl1251_sdio (the wifi driver) module by default.Denis 'GNUtoo' Carikli2011-01-091-0/+2
| | | | Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* shr-splash-theme-logo: bump SRCREV(fixes htcdream splash screen) and PRDenis 'GNUtoo' Carikli2011-01-091-2/+2
| | | | | | | | | Without that SRCREV bump, the htcdream has a wrong boot splash screen, in fact the old splash screen was made for the palm pre which doesn't have the exact same framebuffer(while having the same resolution). Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* shr-e-gadgets: update SRCREVThomas Zimmermann2011-01-091-1/+1
| | | | | *update SRCREV to get GSM gadget fix Signed-off-by: Thomas Zimmermann <ml@vdm-design.de>
* perl: blacklist perl-module-cpanplus-internals-source-sqlite for perl-modulesRoman I Khimov2011-01-092-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | It has runtime dependencies on libdbd-sqlite-perl and libdbix-simple-perl which doesn't get built automatically if not required as build time dependency for something. It's not possible to add them as build time dependencies for perl itself since they're in turn depend on perl making a circular dependency (and they _really_ depend on perl because they build binaries, so no way to cheat by making this recipes not to depend on perl). It's also not correct to downgrade this runtime dependency to recommendation, since the module is really unusable without its dependencies. The most annoying thing about all this is that this dependency situation renders perl-modules package uninstallable by itself, failing with something like: Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for task-sdk-native: * libdbd-sqlite-perl * libdbix-simple-perl * So the best way to solve it IMO is to just blacklist it from perl-modules since the value of this module is questionable. It's experimental CPANPLUS backend that's not used by default, you have to specifically configure your perl to use it. And if you _really_ want to use it - the module package itself will still contain proper dependencies, you just need to get them built and installed. The problem only exists in perl 5.10.1, but 5.8.8 doesn't have this module, so blacklisting in common .inc doesn't hurt. Signed-off-by: Roman I Khimov <khimov@altell.ru> Acked-by: Khem Raj <raj.khem@gmail.com>
* e2fsprogs.inc - break shared libs into separate packagesMike Westerhof2011-01-081-1/+4
| | | | | | | | | | Break the two shared libraries (libe2p and libext2fs) out of the general e2fsprogs package and into their own packages. This avoids pulling in unwanted executables when a distro only desires the basic tools (such as e2fsck and/or mke2fs). Signed-off-by: Mike Westerhof <mike@mwester.net> Acked-by: Koen Kooi <koen@openembedded.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>